首页 » 分享 » 解决 安装Wampserver时遇到 httpd.exe 0xc000007b应用程序错误

解决 安装Wampserver时遇到 httpd.exe 0xc000007b应用程序错误

 
文章目录

最近在新配的机子上想装个 Wampserver 来搭建本地服务器,于是在旧笔记本上拉来以前下载的安装程序(3.04版本,具体版本号:wampserver3.0.4_x86_apache2.4.18_mysql5.7.11_php5.6.19-7.0.4),安装前没按照提示检查相应的配套程序,结果出现了《“httpd.ext - 应用程序错误”应用程序无法正常启动(0xc000007b)。请单击确定关闭应用程序》这样的提示。如图:

httpd.exe 0xc000007b应用程序错误

(本机问题已经解决,想再复制错误环境不容易,截图取自网上

一、报错的操作系统环境:

Windows 7, 安装时电脑运行着 SS, Proxifier, teamviewer 等可能会占用 Wampserver 端口的程序,安装有部份Visual C++ 运行库的 x64 版本。

二、缘何会报错:

以前在好几台电脑上已经安装过这个程序,而且程序是直接拉过来使用的,所以问题肯定在于本台机器的操作系统上。百度搜索 这次的关键词“wampserver httpd.exe”,发现果然有相关的提示和解决方案:

百度 关键词“wampserver httpd.exe”

百度 关键词“wampserver httpd.exe”

以上为百度帖子给出的解决方案精要,想看具体帖子的可参考:http://tieba.baidu.com/p/2680950735。根据这个帖子,突然想到问题出在哪了。

这个“httpd.exe 0xc000007b”错误出现的原因:因为懒,没有安装x86 的 Visual C++ 运行库,而根据帖子提示,才想起以往装这个 wampserver 都是按照他的安装提示一步步完成的。以下是安装 wampserver 很容易被忽略的提示,里面有所有 visual C++ 版本的运行库下载地址以及详解:

所有 visual C++版本的下载地址以及详解

所有 visual C++版本的下载地址以及详解

如果这个提示被你忽略,回头认真看以下,里面有提示说即便你的系统是64位的,也得安装完所有版本的 Visual C++ 运行库,包括x86 x64版本的两种都要装,不然会报错。

三、重装服务,问题解决

知道了原因,解决办法就很简单了。

1. 下载所有的 Visual C++版本运行库 并安装。

下载 Visual C++版本 并安装

2. 装好 Visual C++ 运行库 后, 必须重新安装服务,因为之前安装时报错,安装程序并没正确安装 Apache。具体方法如下: 打开 Wampserver 服务器,左键点击图标,按图依次选择 apache, service administration, install service。

下图是已经安装成功后的截图,如果没解决问题前, 位置3 start, stop restart service部份应该是灰色的。

装好 Visual C++后, 必须重新安装服务

3. 等待服务安装完成, 重启服务器(Restart all services),问题得到解决。

PS:如果你不知道问题出在哪,最好先使用 Wampserver 自己集成的 检测小工具,右键图标有tools的,可以检查 mysql, httpd 是否在使用或者端口是否被占用。

Wampserver 自己集成的 检测小工具tools

已经很久没碰到 Wampserver 的相关错误了。为防止遇到了其他错误,可能遇到的错误及解决办法集合一下方便查看:

  1. Wampserver 升级注意事项
  2. Wampserver 出现"Fatal error: Maximum execution time of 30 seconds xxx"解决办法

原文链接:解决 安装Wampserver时遇到 httpd.exe 0xc000007b应用程序错误,转载请注明来源!

0